Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 900046 - net-analyzer/zabbix-6.4.14 has implicit function declarations in configure logs (GCC-13-SYSTEM)
Summary: net-analyzer/zabbix-6.4.14 has implicit function declarations in configure lo...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Miroslav Šulc
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: implicit-in-configure
  Show dependency tree
 
Reported: 2023-03-07 09:01 UTC by Agostino Sarubbo
Modified: 2024-04-24 08:52 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,745.35 KB, text/plain)
2023-03-07 09:01 UTC, Agostino Sarubbo
Details
configure-sscanf.patch (file_900046.txt,317 bytes, patch)
2023-04-27 04:07 UTC, Sam James
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2023-03-07 09:01:53 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: net-analyzer/zabbix-6.2.7 has implicit function declarations in configure logs (GCC-13-SYSTEM).
Discovered on: amd64 (internal ref: gcc13_tinderbox)

NOTE:
(GCC-13-SYSTEM) in the summary means that the bug was found on a machine that runs gcc-13 but this bug MAY or MAY NOT BE related to the new compiler
See also: https://bugs.gentoo.org/898488#c4.
Comment 1 Agostino Sarubbo gentoo-dev 2023-03-07 09:01:55 UTC
Created attachment 856512 [details]
build.log

build log and emerge --info
Comment 2 Agostino Sarubbo gentoo-dev 2023-03-08 13:10:07 UTC
ci has reproduced this issue with version 6.4.0 - Updating summary.
Comment 3 Agostino Sarubbo gentoo-dev 2023-04-04 07:01:32 UTC
ci has reproduced this issue with version 6.4.1 - Updating summary.
Comment 4 Agostino Sarubbo gentoo-dev 2023-04-26 09:01:49 UTC
ci has reproduced this issue with version 6.4.2 - Updating summary.
Comment 5 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2023-04-27 04:00:22 UTC
 * QA Notice: Found the following implicit function declarations in configure logs:
 *   /var/tmp/portage/net-analyzer/zabbix-6.2.7/work/zabbix-6.2.7/config.log:7507 - res_ndestroy
 *   /var/tmp/portage/net-analyzer/zabbix-6.2.7/work/zabbix-6.2.7/config.log:8146 - swapctl
 *   /var/tmp/portage/net-analyzer/zabbix-6.2.7/work/zabbix-6.2.7/config.log:8480 - statvfs64
 *   /var/tmp/portage/net-analyzer/zabbix-6.2.7/work/zabbix-6.2.7/config.log:8602 - statfs64
 *   /var/tmp/portage/net-analyzer/zabbix-6.2.7/work/zabbix-6.2.7/config.log:8919 - setproctitle
 *   /var/tmp/portage/net-analyzer/zabbix-6.2.7/work/zabbix-6.2.7/config.log:10100 - sscanf
 * Check that no features were accidentally disabled.
 * See https://wiki.gentoo.org/wiki/Modern_C_porting.
Comment 6 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2023-04-27 04:07:38 UTC
Created attachment 860831 [details, diff]
configure-sscanf.patch

Could you apply the attached patch & send it upstream please? Thanks.

The others are questionable: *64 _might_ be legitimate, but it depends on how LFS is handled. The others are BSD only or otherwise non-Linux and can be ignored (the failure is OK here).
Comment 7 Larry the Git Cow gentoo-dev 2023-04-27 06:43:09 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ee4bbb47f64acc7873009fb99895d40c568a311b

commit ee4bbb47f64acc7873009fb99895d40c568a311b
Author:     Miroslav Šulc <fordfrog@gentoo.org>
AuthorDate: 2023-04-27 06:42:59 +0000
Commit:     Miroslav Šulc <fordfrog@gentoo.org>
CommitDate: 2023-04-27 06:43:06 +0000

    net-analyzer/zabbix: fixed patches not being applied in 6.4.x + added configure patch
    
    Bug: https://bugs.gentoo.org/900046
    Signed-off-by: Miroslav Šulc <fordfrog@gentoo.org>

 .../zabbix/files/zabbix-6.4.0-configure-sscanf.patch         | 12 ++++++++++++
 .../zabbix/{zabbix-6.4.0.ebuild => zabbix-6.4.0-r1.ebuild}   |  6 +++++-
 .../zabbix/{zabbix-6.4.1.ebuild => zabbix-6.4.1-r1.ebuild}   |  6 +++++-
 .../zabbix/{zabbix-6.4.2.ebuild => zabbix-6.4.2-r1.ebuild}   |  6 +++++-
 4 files changed, 27 insertions(+), 3 deletions(-)
Comment 8 Miroslav Šulc gentoo-dev 2023-04-27 06:43:48 UTC
thanks for the patch. keeping it open as i just applied the patch to the ebuilds but did not report it upstream yet.
Comment 9 Agostino Sarubbo gentoo-dev 2023-04-27 12:38:58 UTC
ci has reproduced this issue with version 6.4.2-r1 - Updating summary.
Comment 10 Agostino Sarubbo gentoo-dev 2023-06-01 08:01:02 UTC
ci has reproduced this issue with version 6.4.3 - Updating summary.
Comment 11 Agostino Sarubbo gentoo-dev 2023-06-28 09:53:26 UTC
ci has reproduced this issue with version 6.4.4 - Updating summary.
Comment 12 Agostino Sarubbo gentoo-dev 2023-08-01 12:40:39 UTC
ci has reproduced this issue with version 6.4.5 - Updating summary.
Comment 13 Agostino Sarubbo gentoo-dev 2023-08-24 08:50:36 UTC
ci has reproduced this issue with version 6.4.6 - Updating summary.
Comment 14 Agostino Sarubbo gentoo-dev 2024-01-02 11:02:29 UTC
gcc14_tinderbox has reproduced this issue with version 6.4.10-r1 - Updating summary.
Comment 15 Agostino Sarubbo gentoo-dev 2024-01-30 10:25:12 UTC
ci has reproduced this issue with version 6.4.11 - Updating summary.
Comment 16 Agostino Sarubbo gentoo-dev 2024-02-27 13:10:03 UTC
ci has reproduced this issue with version 6.4.12 - Updating summary.
Comment 17 Agostino Sarubbo gentoo-dev 2024-03-27 11:35:29 UTC
ci has reproduced this issue with version 6.4.13 - Updating summary.
Comment 18 Agostino Sarubbo gentoo-dev 2024-04-24 08:52:32 UTC
ci has reproduced this issue with version 6.4.14 - Updating summary.